FTGL Namespace Reference

## Enumerations

enum | RenderMode { RENDER_FRONT = 0x0001 , RENDER_BACK = 0x0002 , RENDER_SIDE = 0x0004 , RENDER_ALL = 0xffff }
enum | TextAlignment { ALIGN_LEFT = 0 , ALIGN_CENTER = 1 , ALIGN_RIGHT = 2 , ALIGN_JUSTIFY = 3 }
enum | ConfigString { CONFIG_VERSION = 1 }

## Functions

char const * | GetString (ConfigString config)
| Return a string describing the current FTGL instance.

## Enumeration Type Documentation

## ConfigString

enum FTGL::ConfigString

Enumerator
CONFIG_VERSION |

Definition at line 69 of file ftgl.h.

## RenderMode

enum FTGL::RenderMode

Enumerator
RENDER_FRONT |
RENDER_BACK |
RENDER_SIDE |
RENDER_ALL |

Definition at line 53 of file ftgl.h.

## TextAlignment

enum FTGL::TextAlignment

Enumerator
ALIGN_LEFT |
ALIGN_CENTER |
ALIGN_RIGHT |
ALIGN_JUSTIFY |

Definition at line 61 of file ftgl.h.

## Function Documentation

## GetString()

char const * FTGL::GetString | ( | ConfigString | config | ) |

extern

Return a string describing the current FTGL instance.

Parameters

  config

  Name of the string to retrieve. Can be one of:
  - CONFIG_VERSION: return the FTGL release number.

Returns
  A pointer to a constant string containing the requested information, or 0 in case of invalid argument.